commit: 25512d5870c106da801a5fa28f6ca037087d7d1e
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 1 02:39:13 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 1 02:54:39 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25512d58
dev-python/termcolor: Bump to 3.1.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/termcolor/Manifest | 1 +
dev-python/termcolor/termcolor-3.1.0.ebuild | 34 +++++++++++++++++++++++++++++
2 files changed, 35 insertions(+)
diff --git a/dev-python/termcolor/Manifest b/dev-python/termcolor/Manifest
index 0ccc4ce4e3be..cee8db525337 100644
--- a/dev-python/termcolor/Manifest
+++ b/dev-python/termcolor/Manifest
@@ -1 +1,2 @@
DIST termcolor-3.0.1.py.tar.gz 12935 BLAKE2B
88f8a98449c414538bb7f275fcbcc37a82e78dcf05e70c2352194e2a5869b9b04df872e51d283fd0c5e2a70173831ba3e4ec2d3885213898e0bd6007b964a5a0
SHA512
a74ff0b15abcf304b2bcf870840dace182e209dddf1e0b8d40a4a8b9dc426512e5b753b6aae4e6b34327afdfaabc875be5cabc7312896f5448ba15b9161a8885
+DIST termcolor-3.1.0.py.tar.gz 14324 BLAKE2B
04c8ad649cd34fcb469ca261c2f4377f64a12f71a9cb05e9ee9426354a01b5d7cc03f1c92c8b66903c4cd9b5540d8f34b8a7ca8d04ba9b2d38bc050ae0e841e4
SHA512
1311d86fee4bc1c5a11c24ce57e8787347a5e72d6de283034ebd307b63248cc1e24b4b4dec2fc242f5c18f6a9a3b8f0ae197b43ff91809b9f558804ecceabe4b
diff --git a/dev-python/termcolor/termcolor-3.1.0.ebuild
b/dev-python/termcolor/termcolor-3.1.0.ebuild
new file mode 100644
index 000000000000..43372c970480
--- /dev/null
+++ b/dev-python/termcolor/termcolor-3.1.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..13} pypy3 pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="ANSI Color formatting for output in terminal"
+HOMEPAGE="
+ https://github.com/termcolor/termcolor/
+ https://pypi.org/project/termcolor/
+"
+# rename is for avoiding conflict with dev-cpp/termcolor
+SRC_URI="$(pypi_sdist_url) -> ${P}.py.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~ppc ~ppc64 ~riscv
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # avoid dep on coverage (to ignore warnings from coverage)
+ sed -i -e '/coverage/d' pyproject.toml || die
+}